-- Praktikum digitaler Schaltungsentwurf I, Aufgabe 1
-- Datei: Test_Exor2.vhdl
--
-- Testrahmen fuer eine kombinatorische Beispielschaltung
-- aus zwei EXOR-Gattern

-- 25.11.2010, G. Kemnitz
------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;

entity Test_Exor2 is  end entity;

architecture test of Test_Exor2 is
 signal x: std_logic_vector(2 downto 0);
 signal y: std_logic;
begin

 -- Instanziierung des Testobjekts ohne Angabe des
 -- Beschreibungsnamen; verwendet die zuletzt analy-
 -- sierte Beschreibung; nur so ist der Testrahmen
 -- auch fuer die Post-Route Simulation mit ISim
 -- (Simulator unter ISE) nutzbar
 
 Testobjekt: entity work.Exor2 
   port map(a=>x(0), b=>x(1), c=>x(2), y=>y);


 process
 begin
  wait for 20 ns; x <= "000";
  wait for 20 ns; x <= "010";
  wait for 20 ns; x <= "110";
  wait for 20 ns; x <= "111";
  wait for 20 ns; x <= "100";
  wait for 20 ns; x <= "101";
  wait for 20 ns; x <= "001";
  wait;
 end process;
end architecture;
