-- Praktikum digitaler Schaltungsentwurf I, Aufgabe 1
-- Datei: Exor2_Synth.vhdl
--
-- Synthesebeschreibung einer kombinatorischen Beispielschaltung
-- aus zwei EXOR-Gattern
--
-- 25.11.2010, G. Kemnitz
-----------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity Exor2 is
 port(a, b, c: std_logic;
      y: out std_logic);
end entity;

-- Synthesebeschreibung
architecture Synth of Exor2 is
 signal z: std_logic;
begin
 z <= a xor b;
 y <= z xor c;
end architecture;
